feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Backend.C.Plugin.Locator

# Documentation

data GetPrgParLoop

Constructors

GetPrgParLoop |

Instances

Transformation GetPrgParLoop |
Plugin GetPrgParLoop |
Transformable GetPrgParLoop Program |

getPrgParLoop :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

data GetPrgAssign

Constructors

GetPrgAssign |

Instances

Transformation GetPrgAssign |
Plugin GetPrgAssign |
Transformable GetPrgAssign Program |

getPrgAssign :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

data GetPrgBranch

Constructors

GetPrgBranch |

Instances

Transformation GetPrgBranch |
Plugin GetPrgBranch |
Transformable GetPrgBranch Program |

getPrgBranch :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

data GetPrgProcCall

Constructors

GetPrgProcCall |

Instances

Transformation GetPrgProcCall |
Plugin GetPrgProcCall |
Transformable GetPrgProcCall Program |

getPrgProcCall :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

data GetPrgSeqLoop

Constructors

GetPrgSeqLoop |

Instances

Transformation GetPrgSeqLoop |
Plugin GetPrgSeqLoop |
Transformable GetPrgSeqLoop Program |

getPrgSeqLoop :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

contains :: (Ord a, Ord b) => (a, b) -> ((a, b), (a, b)) -> Bool

myShow :: Program DebugToCSemanticInfo -> String

myShowB :: Block DebugToCSemanticInfo -> String